org.wildfly.swarm.config.ejb3

## Class RemotingProfile<T extends RemotingProfile<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.ejb3.RemotingProfile<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class RemotingProfile<T extends RemotingProfile<T>>
      extends HashMap

  A remoting profile
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RemotingProfile.RemotingProfileResources` Child mutators for RemotingProfile

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemotingProfile(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `excludeLocalReceiver()` If set no local receiver is used in this profile
    `T` | `excludeLocalReceiver(Boolean value)` If set no local receiver is used in this profile
    `String` | `getKey()`
    `Boolean` | `localReceiverPassByValue()` If set local receiver will pass ejb beans by value
    `T` | `localReceiverPassByValue(Boolean value)` If set local receiver will pass ejb beans by value
    `T` | `remotingEjbReceiver(RemotingEJBReceiver value)` Add the RemotingEJBReceiver object to the list of subresources
    `T` | `remotingEjbReceiver(RemotingEJBReceiverSupplier supplier)` Install a supplied RemotingEJBReceiver object to the list of subresources
    `T` | `remotingEjbReceiver(String childKey)` Create and configure a RemotingEJBReceiver object to the list of subresources
    `T` | `remotingEjbReceiver(String childKey, RemotingEJBReceiverConsumer consumer)` Create and configure a RemotingEJBReceiver object to the list of subresources
    `T` | `remotingEjbReceivers(List<RemotingEJBReceiver> value)` Add all RemotingEJBReceiver objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `RemotingProfile.RemotingProfileResources` | `subresources()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### RemotingProfile

          public RemotingProfile(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public RemotingProfile.RemotingProfileResources subresources()

    - #### remotingEjbReceivers

          public T remotingEjbReceivers(List<RemotingEJBReceiver> value)

      Add all RemotingEJBReceiver objects to this subresource
      Parameters:
        `value` - List of RemotingEJBReceiver objects.
      Returns:
        this

    - #### remotingEjbReceiver

          public T remotingEjbReceiver(RemotingEJBReceiver value)

      Add the RemotingEJBReceiver object to the list of subresources
      Parameters:
        `value` - The RemotingEJBReceiver to add
      Returns:
        this

    - #### remotingEjbReceiver

          public T remotingEjbReceiver(String childKey,
                                       RemotingEJBReceiverConsumer consumer)

      Create and configure a RemotingEJBReceiver object to the list of subresources
      Parameters:
        `key` - The key for the RemotingEJBReceiver resource
        `config` - The RemotingEJBReceiverConsumer to use
      Returns:
        this

    - #### remotingEjbReceiver

          public T remotingEjbReceiver(String childKey)

      Create and configure a RemotingEJBReceiver object to the list of subresources
      Parameters:
        `key` - The key for the RemotingEJBReceiver resource
      Returns:
        this

    - #### remotingEjbReceiver

          public T remotingEjbReceiver(RemotingEJBReceiverSupplier supplier)

      Install a supplied RemotingEJBReceiver object to the list of subresources

    - #### excludeLocalReceiver

          public Boolean excludeLocalReceiver()

      If set no local receiver is used in this profile

    - #### excludeLocalReceiver

          public T excludeLocalReceiver(Boolean value)

      If set no local receiver is used in this profile

    - #### localReceiverPassByValue

          public Boolean localReceiverPassByValue()

      If set local receiver will pass ejb beans by value

    - #### localReceiverPassByValue

          public T localReceiverPassByValue(Boolean value)

      If set local receiver will pass ejb beans by value

Copyright © 2017 JBoss by Red Hat. All rights reserved.